# Curvature

Let $\mathrm{M}$ be a differential manifold with $\dim \mathrm{M} = n \in \mathbb{N}$ used throughout the section. Let $\mathrm{TM}$ and $\mathrm{T^*M}$ denote the tangent and cotangent bundle, $V$ and $V^*$ the fiber and dual fiber bundle and $\mathscr{B}$ the tensor fiber bundle. 

## Curvature operator

> *Definition 1*: the **curvature operator** $\Omega: \Gamma(\mathrm{TM})^3 \to \Gamma(\mathrm{TM})$ is defined as
>
> $$
>   \Omega(\mathbf{v}, \mathbf{w}) \mathbf{u} = [\nabla_\mathbf{v}, \nabla_\mathbf{w}] \mathbf{u} - \nabla_{[\mathbf{v}, \mathbf{w}]}\mathbf{u}, 
> $$
>
> for all $\mathbf{u}, \mathbf{v}, \mathbf{w} \in \Gamma(\mathrm{TM})$ with $[\cdot, \cdot]$ denoting the [Lie bracket](). 

It then follows from the definition that the curvature operator $\Omega$ can be decomposed. 

> *Proposition 1*: the decomposition of the curvature operator $\Omega$ relative to a basis $\{\partial_i\}_{i=1}^n$ of $\Gamma(\mathrm{TM})$ results into
>
> $$
>   \Omega(\mathbf{v}, \mathbf{w}) \mathbf{u} = v^i w^j [D_i, D_j] u^l \partial_l,
> $$
>
> for all $\mathbf{u}, \mathbf{v}, \mathbf{w} \in \Gamma(\mathrm{TM})$. 

??? note "*Proof*:"

    Will be added later.

## Curvature tensor

> *Definition 2*: the **Riemann curvature tensor** $\mathbf{R}: \Gamma(\mathrm{T}^*\mathrm{M}) \times \Gamma(\mathrm{TM})^3 \to \mathbb{K}$ is defined as
>
> $$
>   \mathbf{R}(\bm{\omega}, \mathbf{u}, \mathbf{v}, \mathbf{w}) = \mathbf{k}(\bm{\omega}, \Omega(\mathbf{v}, \mathbf{w}) \mathbf{u}), 
> $$
>
> for all $\bm{\omega} \in \Gamma(\mathrm{T}^*\mathrm{M})$ and $\mathbf{u}, \mathbf{v}, \mathbf{w} \in \Gamma(\mathrm{TM})$. 

The Riemann curvature defines the curvature of the differential manifold at a certain point $x \in \mathrm{M}$. 

> *Proposition 2*: let $\mathbf{R}: \Gamma(\mathrm{T}^*\mathrm{M}) \times \Gamma(\mathrm{TM})^3 \to \mathbb{K}$ be the Riemann curvature tensor, with its decomposition given by
>
> $$
>   \mathbf{R} = R^i_{jkl} \partial_i \otimes dx^j \otimes dx^k \otimes dx^l, 
> $$
>
> then we have that its holor is given by
>
> $$
>   R^i_{jkl} = \partial_k \Gamma^i_{jl} + \Gamma^m_{jl} \Gamma^i_{mk} - \partial_k \Gamma^i_{jk} - \Gamma^m_{jk} \Gamma^i_{ml}, 
> $$
>
> for all $(i,j,k,l) \in \{1, \dots, n\}^4$ with $\Gamma^i_{jk}$ denoting the linear connection symbols.

??? note "*Proof*:"

    Will be added later.

It may then be observed that $R^i_{jkl} = - R^i_{jlk}$ such that

$$
    \mathbf{R} = \frac{1}{2} R^i_{jkl} \partial_i \otimes dx^j \otimes (dx^k \wedge dx^l).
$$