# Lengths and volumes

Let $\mathrm{M}$ be a differential manifold with $\dim \mathrm{M} = n \in \mathbb{N}$ used throughout the section. Let $\mathrm{TM}$ and $\mathrm{T^*M}$ denote the tangent and cotangent bundle, $V$ and $V^*$ the fiber and dual fiber bundle and $\mathscr{B}$ the tensor fiber bundle.

## Riemannian geometry

> *Definition 1*: the length of a vector $\mathbf{v} \in \Gamma(\mathrm{TM})$ is defined by the norm $\|\cdot\|$ induced by the inner product $\bm{g}$ such that
>
> $$
>   \|\mathbf{v}\| = \sqrt{\bm{g}(\mathbf{v},\mathbf{v})}.
> $$

In the context of a smooth curve $\mathbf{v}: \mathscr{D}(\mathbf{v}) \to \Gamma(\mathrm{TM}):t \mapsto \mathbf{v}(t)$ parameterized by an open interval $\mathscr{D}(\mathbf{v}) \subset \mathbb{R}$, the length $l_{12}$ of a closed section $[t_1, t_2] \subset \mathbb{R}$ of this curve is given by

$$
\begin{align*}
    l_{12} &= \int_{t_1}^{t_2} \|\mathbf{\dot v}(t)\| dt, \\
           &= \int_{t_1}^{t_2} \sqrt{\bm{g}(\mathbf{\dot v},\mathbf{\dot v})} dt, \\
           &= \int_{t_1}^{t_2} \sqrt{g_{ij} \dot v^i \dot v^j} dt,
\end{align*}
$$

with $\mathbf{\dot v} = \dot v^i \partial_i \in \Gamma(\mathrm{TM})$. 

> *Definition 2*: the volume $V$ span by the vectors $\{\mathbf{v}_i\}_{i=1}^n$ in $\Gamma(\mathrm{TM})$ is defined by
>
> $$
>   V = \bm{\epsilon}(\mathbf{v}_1, \dots, \mathbf{v}_n) = \sqrt{g} \bm{\mu}(\mathbf{v}_1, \dots, \mathbf{v}_n),
> $$
>
> with $\bm{\epsilon}$ the unique unit volume form. 

In the context of a subspace $S \subset M$ with $\dim S = k \in \mathbb{N}[k \leq n]$, the volume $V$ is given by

$$
    V = \int_S \bm{\epsilon} = \int_S \sqrt{g} dx^1 \dots dx^k.
$$

It follows that for $k=1$ 

$$
    \int_S \bm{\epsilon} = \int_S \sqrt{\bm{g}}.
$$

## Finsler geometry

Will be added later.