# Operator classes

## Hilbert-adjoint operator

> *Definition 1*: let $(X, \langle \cdot, \cdot \rangle_X)$ and $(Y, \langle \cdot, \cdot \rangle_Y)$ be Hilbert spaces over the field $F$ and let $T: X \to Y$ be a bounded linear operator. The **Hilbert-adjoint operator** $T^*$ of $T$ is the operator $T^*: Y \to X$ such that for all $x \in X$ amd $y \in Y$
>
> $$
>   \langle Tx, y \rangle_Y = \langle x, T^* y \rangle.
> $$

We should first prove that for a given $T$ such a $T^*$ exists. 

> *Proposition 1*: the Hilbert-adjoint operator $T^*$ of $T$ exists is unique and is a bounded linear operator with norm 
> 
> $$
>   \|T^*\| = \|T\|.
> $$

??? note "*Proof*:"

    Will be added later.

The Hilbert-adjoint operator has the following properties.

> *Proposition 2*: let $T,S: X \to Y$ be bounded linear operators, then
>
> 1. $\forall x \in X, y \in Y: \langle T^* y, x \rangle_X = \langle y, Tx \rangle_Y$,
> 2. $(S + T)^* = S^* + T^*$,
> 3. $\forall \alpha \in F: (\alpha T)^* = \overline \alpha T^*$,
> 4. $(T^*)^* = T$,
> 5. $\|T^* T\| = \|T T^*\| = \|T\|^2$,
> 6. $T^*T = 0 \iff T = 0$,
> 7. $(ST)^* = T^* S^*, \text{ when } X = Y$.

??? note "*Proof*:"

    Will be added later.

## Self-adjoint operator

> *Definition 2*: a bounded linear operator $T: X \to X$ on a Hilbert space $X$ is **self-adjoint** if
>
> $$
>   T^* = T.
> $$

If a basis for $\mathbb{C}^n$ $(n \in \mathbb{N})$ is given and a linear operator on $\mathbb{C}^n$ is represented by a matrix, then its Hilbert-adjoint operator is represented by the complex conjugate transpose of that matrix (the Hermitian). 

Proposition 3, 4 and 5 pose some interesting results of self-adjoint operators.

> *Proposition 3*: let $T: X \to X$ be a bounded linear operator on a Hilbert space $(X, \langle \cdot, \cdot \rangle_X)$ over the field $\mathbb{C}$, then
>
> $$
>   T \text{ is self-adjoint} \iff \forall x \in X: \langle Tx, x \rangle \in \mathbb{R}.
> $$

??? note "*Proof*:"

    Will be added later.

> *Proposition 4*: the product of two bounded self-adjoint linear operators $T$ and $S$ on a Hilbert space is self-adjoint if and only if 
>
> $$
>   ST = TS.
> $$

??? note "*Proof*:"

    Will be added later.

Commuting operators therefore imply self-adjointness. 

> *Proposition 5*: let $(T_n)_{n \in \mathbb{N}}$ be a sequence of bounded self-adjoint operators $T_n: X \to X$ on a Hilbert space $X$. If $T_n \to T$ as $n \to \infty$, then $T$ is a bounded self-adjoint linear operator on $X$. 

??? note "*Proof*:"

    Will be added later.

## Unitary operator

> *Definition 3*: a bounded linear operator $T: X \to X$ on a Hilbert space $X$ is **unitary** if $T$ is bijective and $T^* = T^{-1}$. 

A bounded unitary linear operator has the following properties.

> *Proposition 6*: let $U, V: X \to X$ be bounded unitary linear operators on a Hilbert space $X$, then
>
> 1. $U$ is isometric,
> 2. $\|U\| = 1 \text{ if } X \neq \{0\}$,
> 3. $UV$ is unitary,
> 4. $U$ is normal, that is $U U^* = U^* U$,
> 5. $T \in \mathscr{B}(X,X)$ is unitary $\iff$ $T$ is isometric and surjective.

??? note "*Proof*:"

    Will be added later.