# Linear functionals

> *Definition 1*: a **linear functional** $f$ is a linear operator with its domain in a vector space $X$ and its range in a scalar field $F$ defined in $X$. 

The norm can be a linear functional $\|\cdot\|: X \to F$ under the condition that the norm is linear. Otherwise, it would solely be a functional.

> *Definition 2*: a **bounded linear functional** $f$ is a bounded linear operator with its domain in a vector space $X$ and its range in a scalar field $F$ defined in $X$. 

## Dual space

> *Definition 3*: the set of linear functionals on a vector space $X$ is defined as the **algebraic dual space** $X^*$ of $X$. 

From this definition we have the following.

> *Theorem 1*: the algebraic dual space $X^*$ of a vector space $X$ is a vector space.

??? note "*Proof*:"

    Will be added later.

Furthermore, a secondary type of dual space may be defined as follows.

> *Definition 4*: the set of bounded linear functionals on a normed space $X$ is defined as **dual space** $X'$.

In this case, a rather interesting property of a dual space emerges.

> *Theorem 2*: the dual space $X'$ of a normed space $(X,\|\cdot\|_X)$ is a Banach space with its norm $\|\cdot\|_{X'}$ given by
>
> $$
>   \|f\|_{X'} = \sup_{x \in X\backslash \{0\}} \frac{|f(x)|}{\|x\|_X} = \sup_{\substack{x \in X \\ \|x\|_X = 1}} |f(x)|, 
> $$
>
> for all $f \in X'$. 

??? note "*Proof*:"

    Will be added later.