# Volume forms

We have a $n \in \mathbb{N}$ finite dimensional vector space $V$ such that $\dim V = n$, with a basis $\{\mathbf{e}_i\}_{i=1}^n,$ a corresponding dual space $V^*$ with a basis $\{\mathbf{\hat e}^i\}_{i=1}^n$ and a pseudo inner product $\bm{g}$ on $V.$ 

## n-forms

> *Definition 1*: let $\bm{\mu} \in \bigwedge_n(V) \backslash \{\mathbf{0}\}$, if 
>
> $$
>   \bm{\mu}(\mathbf{e}_1, \dots, \mathbf{e}_n) = 1,
> $$
>
> then $\bm{\mu}$ is the **unit volume form** with respect to the basis $\{\mathbf{e}_i\}$. 

Note that $\dim \bigwedge_n(V) = 1$ and consequently if $\bm{\mu}_1, \bm{\mu}_2 \in \bigwedge_n(V) \backslash \{\mathbf{0}\}$, then $\bm{\mu}_1 = \lambda \bm{\mu}_2$ with $\lambda \in \mathbb{K}$. 

> *Proposition 1*: the unit volume form $\bm{\mu} \in \bigwedge_n(V) \backslash \{\mathbf{0}\}$ may be given by
>
> $$
> \begin{align*}
>   \bm{\mu} &= \mathbf{\hat e}^1 \wedge \dots \wedge \mathbf{\hat e}^n, \\
>            &= \mu_{i_1 \dots i_n} \mathbf{\hat e}^{i_1} \otimes \dots \otimes \mathbf{\hat e}^{i_n}, 
> \end{align*}
> $$
>
> with $\mu_{i_1 \dots i_n} = [i_1, \dots, i_n]$. 

??? note "*Proof*:"

    Will be added later.

The normalisation of the unit volume form $\bm{\mu}$ requires a basis. Consequently, the identification $\mu_{i_1 \dots i_n} = [i_1, \dots, i_n]$ holds only relative to the basis.

> *Definition 2*: let $(V, \bm{\mu})$ denote the vector space $V$ endowed with an **oriented volume form** $\bm{\mu}$. For $\bm{\mu} > 0$ we have a positive orientation of $(V, \bm{\mu})$ and for $\bm{\mu} < 0$ we have a negative orientation of $(V, \bm{\mu})$. 

For a vector space with an oriented volume $(V, \bm{\mu})$ we may write

$$
    \bm{\mu} = \mu_{i_1 \dots i_n} \mathbf{\hat e}^{i_1} \otimes \cdots \otimes \mathbf{\hat e}^{i_n},
$$

or, equivalently

$$
    \bm{\mu} = \mu_{|i_1 \dots i_n|} \mathbf{\hat e}^{i_1} \wedge \cdots \wedge \mathbf{\hat e}^{i_n},
$$

by convention, to resolve ambiguity with respect to the meaning of $\mu_{i_1 \dots i_n}$ without using another symbol or extra accents.

Using theorem 2 in the section of [tensor symmetries]() we may state the following.

> *Proposition 2*: let $(V, \bm{\mu})$ be a vector space with an oriented volume form, then we have
>
> $$
>   \bm{\mu}(\mathbf{v}_1, \dots, \mathbf{v}_n) = \det \big(\mathbf{k}(\mathbf{\hat e}^i, \mathbf{v}_j) \big), 
> $$
>
> for all $\mathbf{v}_1, \dots, \mathbf{v}_n \in V$ with $(i,j)$ denoting the entry of the matrix over which the determinant is taken. 

??? note "*Proof*:"

    Will be added later.

Which reveals the role of the Kronecker tensor and thus the role of the dual space in the definition of $\bm{\mu}$. We may also conclude that an oriented volume $\bm{\mu} \in \bigwedge_n(V)$ on a vector space $V$ does not require an inner product. 

From proposition 2 it may also be observed that within a geometrical context the oriented volume form may represent the area of a parallelogram in $n=2$ or the volume of a parallelepiped in $n=3$, span by its basis. 

## (n - k)-forms

> *Definition 3*: let $(V, \bm{\mu})$ be a vector space with an oriented volume form and let $\mathbf{u}_1, \dots, \mathbf{u}_k \in V$ with $k \in \mathbb{N}[k < n]$. Let the $(n-k)$-form $\bm{\mu} \lrcorner \mathbf{u}_1 \lrcorner \dots \lrcorner \mathbf{u}_k \in \bigwedge_{n-k}(V)$ be defined as
>
> $$
>   \bm{\mu} \lrcorner \mathbf{u}_1 \lrcorner \dots \lrcorner \mathbf{u}_k(\mathbf{v}_{k+1}, \dots, \mathbf{v}_n) = \bm{\mu}(\mathbf{u}_1, \dots, \mathbf{u}_k, \mathbf{v}_{k+1}, \dots, \mathbf{v}_n),
> $$
>
> for all $\mathbf{v}_{k+1}, \dots, \mathbf{v}_n \in V$ with $\lrcorner$ the insert operator. 

It follows that $(n-k)$-form $\bm{\mu} \lrcorner \mathbf{u}_1 \lrcorner \dots \lrcorner \mathbf{u}_k \in \bigwedge_{n-k}(V)$ can be written as

$$
\begin{align*}
    \bm{\mu} \lrcorner \mathbf{u}_1 \lrcorner \dots \lrcorner \mathbf{u}_k &= u_1^{i_1} \cdots u_k^{i_k} (\bm{\mu} \lrcorner \mathbf{e}_{i_1} \lrcorner \dots \lrcorner \mathbf{e}_{i_k}), \\
    &= u_1^{i_1} \cdots u_k^{i_k} \mu_{i_1 \dots i_n} (\mathbf{\hat e}^{i_{k+1}} \wedge \cdots \wedge \mathbf{\hat e}^{i_{n}}),
\end{align*}
$$

for $\mathbf{u}_1, \dots, \mathbf{u}_k \in V$ with $k \in \mathbb{N}[k < n]$ and decomposition by $\mathbf{u}_q = u_q^{i_q} \mathbf{e}_{i_q}$ for $q \in \mathbb{N}[q \leq k]$. 

If we have a unit volume form $\bm{\mu}$ with respect to $\{\mathbf{e}_i\}$ then

$$
    \bm{\mu}\lrcorner\mathbf{e}_1 \lrcorner \dots \lrcorner \mathbf{e}_k = \mathbf{\hat e}^{i_{k+1}} \wedge \cdots \wedge \mathbf{e}^{i_n},
$$

for $k \in \mathbb{N}[k < n]$. 

## Levi-Civita form

> *Definition 4*: let $(V, \bm{\mu})$ be a vector space with a unit volume form with invariant holor. Let $\bm{\epsilon} \in \bigwedge_n(V)$ be the **Levi-Civita tensor** which is the unique unit volume form of positive orientation defined as
>
> $$
>   \bm{\epsilon} = \sqrt{g} \bm{\mu},
> $$
>
> with $g \overset{\text{def}}{=} \det (G)$, the determinant of the [Gram matrix]().

Therefore, if we decompose the Levi-Civita tensor by

$$
    \bm{\epsilon} = \epsilon_{i_1 \dots i_n} \mathbf{\hat e}^{i_1} \otimes \dots \otimes \mathbf{\hat e}^{i_n} = \epsilon_{|i_1 \dots i_n|} \mathbf{\hat e}^{i_1} \wedge \dots \wedge \mathbf{\hat e}^{i_n}, 
$$

then we have $\epsilon_{i_1 \dots i_n} = \sqrt{g} \mu_{i_1 \dots i_n}$ and $\epsilon_{|i_1 \dots i_n|} = \sqrt{g}$. 

> *Theorem 2*: let $(V, \bm{\mu})$ be a vector space with a unit volume form with invariant holor. Let $\mathbf{g}(\bm{\epsilon}) \in \bigwedge^n(V)$ be the **reciprocal Levi-Civita tensor** which is given by
>
> $$
>   \mathbf{g}(\bm{\epsilon}) = \frac{1}{\sqrt{g}} \bm{\mu}.
> $$

??? note "*Proof*:"

    Will be added later.

We may decompose the reciprocal Levi-Civita tensor by

$$
    \mathbf{g}(\bm{\epsilon}) = \epsilon^{i_1 \dots i_n} \mathbf{e}_{i_1} \otimes \cdots \otimes \mathbf{e}_{i_n} = \epsilon^{|i_1 \dots i_n|} \mathbf{e}_{i_1} \wedge \cdots \wedge \mathbf{e}_{i_n},
$$

then we have $\epsilon^{i_1 \dots i_n} = \frac{1}{\sqrt{g}} \mu^{i_1 \dots i_n}$ and $\epsilon^{|i_1 \dots i_n|} = \frac{1}{\sqrt{g}}$. 