# Equations of Hamilton

## The Hamiltonian

> *Definition 1*: let $\mathcal{L}: (\mathbf{q},\mathbf{q}',t) \mapsto \mathcal{L}(\mathbf{q},\mathbf{q}',t)$ be the Lagrangian of the system, suppose that the generalized momenta $\mathbf{p}$ are defined in terms of the active variables $\mathbf{q}'$ and the passive variables $(\mathbf{q},t)$ such that
>
> $$
>   \mathbf{p} = \nabla_{\mathbf{q}'}\mathcal{L}(\mathbf{q},\mathbf{q}',t),
> $$
>
> for all $t \in \mathbb{R}$. 

We may now pose that there exists a function that meets the inverse, which can be obtained with Legendre transforms.

> *Theorem 1*: there exists a function $\mathcal{H}: (\mathbf{q},\mathbf{p},t) \mapsto \mathcal{H}(\mathbf{q},\mathbf{p},t)$ such that
>
> $$
>   \mathbf{q}' = \nabla_{\mathbf{p}} \mathcal{H}(\mathbf{q},\mathbf{p},t),
> $$
>
> for all $t \in \mathbb{R}$. Where $\mathcal{H}$ is the Hamiltonian of the system and is related to the Lagrangian $\mathcal{L}$ by
>
> $$
>   \mathcal{H}(\mathbf{q},\mathbf{p},t) = \langle \mathbf{q'}, \mathbf{p} \rangle - \mathcal{L}(\mathbf{q},\mathbf{q}',t),
> $$
>
> for all $t \in \mathbb{R}$ with $\mathcal{L}$ and $\mathcal{H}$ the Legendre transforms of each other.

??? note "*Proof*:"

    Will be added later.

## The equations of Hamilton

> *Corollary 1*: the partial derivatives of $\mathcal{L}$ and $\mathcal{H}$ with respect to the passive variables are related by
>
> $$
> \begin{align*}
>   \nabla_{\mathbf{q}} \mathcal{H}(\mathbf{q},\mathbf{p},t) &= - \nabla_{\mathbf{q}} \mathcal{L}(\mathbf{q},\mathbf{q}',t), \\
>   \partial_t \mathcal{H}(\mathbf{q},\mathbf{p},t) &= - \partial_t \mathcal{L}(\mathbf{q},\mathbf{q}',t),
> \end{align*}
> $$
>
> for all $t \in \mathbb{R}$. 

??? note "*Proof*:"

    Will be added later.

Obtaining the equations of Hamilton 

$$
\begin{align*}
    \mathbf{p}' &= -\nabla_{\mathbf{q}} \mathcal{H}(\mathbf{q},\mathbf{p},t), \\
    \mathbf{q}' &= \nabla_{\mathbf{p}} \mathcal{H}(\mathbf{q},\mathbf{p},t),
\end{align*}
$$

for all $t \in \mathbb{R}$. 

> *Proposition 1*: when the Hamiltonian $\mathcal{H}$ has no explicit time dependence it is a constant of motion.

??? note "*Proof*:"

    Will be added later.

To put it differently; a Hamiltonian of a conservative autonomous system is conserved.

> *Theorem 2*: for conservative autonomous systems, the Hamiltonian $\mathcal{H}$ may be expressed as
>
> $$
>   \mathcal{H}(\mathbf{q},\mathbf{p}) = T(\mathbf{q},\mathbf{p}) + V(\mathbf{q}),
> $$
>
> for all $t \in \mathbb{R}$ with $T: (\mathbf{q},\mathbf{p}) \mapsto T(\mathbf{q},\mathbf{p})$ and $V: \mathbf{q} \mapsto V(\mathbf{q})$ the kinetic and potential energy of the system.

??? note "*Proof*:"

    Will be added later.

It may be observed that the Hamiltonian $\mathcal{H}$ and [generalised energy](/en/physics/mechanics/lagrangian-mechanics/lagrange-generalizations/#the-generalized-energy) $h$ are identical. Note however that $\mathcal{H}$ must be expressed in $(\mathbf{q},\mathbf{p},t)$ which is not the case for $h$. 

> *Proposition 2*: a coordinate $q_j$ is cyclic if
>
> $$
>   \partial_{q_j} \mathcal{H}(\mathbf{q},\mathbf{p},t) = 0,
> $$
>
> for all $t \in \mathbb{R}$. 

??? note "*Proof*:"

    Will be added later.

> *Proposition 3*: the Hamiltonian is seperable if there exists two mutually independent subsystems.

??? note "*Proof*:"

    Will be added later.

## Poisson brackets

> *Definition 2*: let $G: (\mathbf{q},\mathbf{p},t) \mapsto G(\mathbf{q},\mathbf{p},t)$ be an arbitrary observable, its time derivative may be given by
>
> $$
> \begin{align*}
>   d_t G(\mathbf{q},\mathbf{p},t) &= \sum_{j=1}^f \Big(\partial_{q_j} G q_j' + \partial_{p_j} G p_j' \Big) + \partial_t G, \\
>   &= \sum_{j=1}^f \Big(\partial_{q_j} G \partial_{p_j} \mathcal{H} - \partial_{p_j} G \partial_{q_j} \mathcal{H} \Big) + \partial_t G, \\
>   &\overset{\mathrm{def}}= \{G, \mathcal{H}\} + \partial_t G. 
> \end{align*}
> $$
>
> for all $t \in \mathbb{R}$ with $\mathcal{H}$ the Hamiltonian and $\{G, \mathcal{H}\}$ the Poisson bracket of $G$ and $\mathcal{H}$. 

The Poisson bracket may simplify expressions; it has distinct properties that are true for any observables. The following theorem demonstrates the usefulness even more. 

> *Theorem 3*: let $f: (\mathbf{q}, \mathbf{p}, t) \mapsto f(\mathbf{q}, \mathbf{p}, t)$ and $g: (\mathbf{q}, \mathbf{p}, t) \mapsto f(\mathbf{q}, \mathbf{p}, t)$ be two integrals of Hamilton's equations given by
>
> $$
> \begin{align*}
>   f(\mathbf{q}, \mathbf{p}, t) = c_1, \\
>   g(\mathbf{q}, \mathbf{p}, t) = c_2,
> \end{align*}
> $$
>
> for all $t \in \mathbb{R}$ with $c_{1,2} \in \mathbb{R}$. Then
>
> $$
>   \{f,g\} = c_3
> $$
>
> with $c_3 \in \mathbb{R}$ for all $t \in \mathbb{R}$.

??? note "*Proof*:"

    Will be added later.