# Relativistic formalism of mechanics

From now on, we refer to space and time as spacetime. 

## Fundamental assumptions

> *Postulate 1*: spacetime is continuous.

Implying that there is no fundamental limit to the precision of measurements of spatial positions, velocities and time intervals. 

> *Postulate 2*: there exists a [neighbourhood]() in spacetime in which the axioms of [Euclidean]() geometry hold.

A reformulation of the postulate in the Newtonian formalism compatible with the new formulation. 

> *Postulate 3*: all physical axioms have the same form in all inertial frames.

This principle is dependent on the definition of an inertial frame, which in my view is not optimal. It will have to be improved.

> *Principle 1*: spacetime is not instantaneous.

Implying that there exists a maximum speed with which information can travel. 

> *Axiom 1*: spacetime is represented by a torsion-free pseudo Riemannian manifold $M$ with 3 spacial dimensions and 1 time dimension.

Torsion-free means that $\mathbf{T} = \mathbf{0}$, the [torsion tensor]() is always zero.

## Lorentz transformations

Will be added later.

## Results from the fundamental assumptions

> *Theorem 1*: let $\bm{g} \in \Gamma(\mathrm{TM})$ be the pseudo Riemannian inner product on $\mathrm{TM}$, then it follows that from [Hamilton's principle]() that the covariant derivative is equal to zero:
>
> $$
>   \forall i \in \{1, 2, 3, 4\}: D_i \bm{g} = \mathbf{0},
> $$
>
> which is called *metric compatibility*.

??? note "*Proof*:"

    Will be added later.

A linear connection $\nabla$ on a torsion-free pseudo Riemannian manifold with metric compatibility is called the **Levi-Civita connection** with its linear connection symbols denoted as the **Christoffel symbols**.

> *Theorem 2*: the Christoffel symbols $\Gamma_{ij}^k$ (of a Levi-Civita connection) are covariantly symmetric 
>
> $$
>   \Gamma_{ij}^k = \Gamma_{ji}^k,
> $$
>
> for all $(i,j,k) \in \{1,2,3,4\}^3$, and may be given by
>
> $$
>   \Gamma_{ij}^k = \frac{1}{2} g^{kl} (\partial_i g_{ij} + \partial_j g_{il} - \partial_l g_{ij}),
> $$
>
> for all $\bm{g} = g_{ij} dx^i \otimes dx^j \in \Gamma(\mathrm{TM})$. 

??? note "*Proof*:"

    Will be added later.

Similarly, we have the following.

> *Proposition 1*: let $\mathbf{R}: \Gamma(\mathrm{T^*M}) \times \Gamma(\mathrm{TM})^3 \to F$ be the Riemann curvature tensor on a manifold $M$ over a field $F$, defined under the Levi-Civita connection. Then it may be decomposed by
>
> $$
>   \mathbf{R} = \frac{1}{8} R^i_{jkl} (\partial_i \wedge dx^j) \vee (dx^k \wedge dx^l).
> $$

??? note "*Proof*:"

    Will be added later.

Such that $R^i_{jkl}$ has a dimension of 

$$
    \frac{4^2 (4^2 - 1)}{12} = 20.
$$

## Curvature

> *Definition 1*: let $\mathbf{W}: \Gamma(\mathrm{TM}) \times \Gamma(\mathrm{TM}) \to F$ denote the **Ricci tensor** which is defined as 
>
> $$
> \begin{align*} 
>     \mathbf{W} &= \frac{1}{2} R_{ijk}^k dx^i \vee dx^j,\\
>                 &= \frac{1}{2} W_{ij} dx^i \vee dx^j,
> \end{align*}
> $$
>
> with $R_{ijk}^k$ the contracted Riemann holor and let $W$ be the **Ricci scalar** be defined as $W = W_{ij} g^{ij}$ with $g^{ij}$ the dual metric holor.

The Ricci tensor and scalar are normally denoted by the symbol $R$ but this would impose confusion with the curvature tensor, therefore it has been chosen to assign symbol $W$ to the Ricci tensor and scalar.

The **Ricci tensor** is a contraction (simplification) of the Riemann curvature tensor. It provides a way to summarize the curvature of a manifold by focusing on how volumes change in the presence of curvature. The **Ricci scalar** summarizes the curvature information contained in the **Ricci tensor**.

> *Definition 2*: let $\mathbf{G}: \Gamma(\mathrm{TM}) \times \Gamma(\mathrm{TM}) \to F$ denote the **Einstein tensor** which is defined as
>
> $$
>   \mathbf{G} = \mathbf{W} - \frac{1}{2} W \bm{g},
> $$
>
> with $\mathbf{W}$ the Ricci tensor, $\bm{g}$ the metric tensor and $W$ the Ricci scalar.

The **Einstein tensor** encapsulates the curvature of the manifold while satisfying the posed conditions (Lovelock's theorem). Such as the following proposition.

> *Proposition 2*: the Einstein tensor $\mathbf{G}: \Gamma(\mathrm{TM}) \times \Gamma(\mathrm{TM}) \to F$ has the following properties
>
> 1. $\mathbf{G} = G_{|ij|} dx^i \vee dx^j$,
> 2. $D_i \mathbf{G} = 0$.

??? note "*Proof*:"

    Will be added later.

## Energy and momentum

> *Definition 3*: let $\mathbf{T}: \Gamma(\mathrm{T^*M}) \times \Gamma(\mathrm{T^*M}) \to F$ denote the **energy momentum tensor** which is defined by the following properties,
>
> 1. $\mathbf{T} = T^{|ij|} \partial_i \vee \partial_j \in \bigvee^2(\mathrm{TM})$,
> 2. $D_i \mathbf{T} = 0$.

Property 1. is a result of the zero torsion axiom and property 2. is the demand of conservation of energy and momentum.

The **energy momentum tensor** describes the matter distribution at each event in spacetime. It acts as a *source* term.

## Field equations

> *Axiom 2*: the Einstein tensor $\mathbf{G}: \Gamma(\mathrm{TM}) \times \Gamma(\mathrm{TM}) \to F$ relates to the energy momentum tensor $\mathbf{T}: \Gamma(\mathrm{T^*M}) \times \Gamma(\mathrm{T^*M}) \to F$ by
>
> $$
>   \mathbf{G} + \Lambda \bm{g} = \kappa \mathbf{T},
> $$
>
> with $\kappa = \frac{8 \pi G}{c^4}$ and $\Lambda, G$ the cosmological and gravitational constants respectively.

This equation (these equations) relate the geometry of spacetime to the distribution of matter within it. For a given $\mathbf{T}$ the system of equations can solve for $\bm{g}$ and vice versa.