# Schwarzschild geometry

## Spherical symmetry

A metric that is time-reversal and time-translation invariant is said to be **static**.

> *Lemma 1*: a static, spherically symmetric metric tensor $\bm{g}: \Gamma(\mathrm{TM}) \times \Gamma(\mathrm{TM}) \to F$ must be of the form
>
> $$
>   \bm{g} = A(r) dr \otimes dr + r^2 (\sin^2 (\varphi) d\theta \otimes d\theta + d\varphi \otimes d\varphi) - B(r) dt \otimes dt,
> $$
>
> for all $(r, \theta, \varphi, t) \in \mathbb{R}^4$ with $A,B: r \mapsto A(r),B(r)$. 

??? note "*Proof*:"

    Will be added later.

Reducing the determination of the metric to only two functions $A$ and $B$.

## Exterior solution

Outside of the mass distribution the energy-momentum tensor vanishes, so we can impose $\mathbf{W} = \mathbf{0}$. Then, by imposing the weak field limit we have the following. 

> *Principle 1*: a metric outside a static, spherically symmetric mass distribution is described by the **Schwarzschild metric** 
>
> $$
>   \bm{g} = \Big(1 - \frac{2 G M}{c^2 r}\Big)^{-1} dr \otimes dr + r^2 (\sin^2 (\varphi) d\theta \otimes d\theta + d\varphi \otimes d\varphi) - c^2  \Big(1 - \frac{2 G M}{c^2 r} \Big) dt \otimes dt,
> $$
>
> for all $(r, \theta, \varphi, t) \in \mathbb{R}^4$ with $G$ the gravitational constant and $M$ the mass of the spherically symmetric mass distribution.

??? note "*Derivation*:"

    Will be added later.

Notice that for $r_s = \frac{2 G M}{c^2}$ the metric with these coordinates is not defined. This radius is called the **Schwarzschild radius**. 

> *Theorem 1 (Birkhoff's theorem)*: the Schwarzschild metric is the only spherically symmetric solution, outside a spherical mass distribution.

??? note "*Proof*:"

    Will be added later.

Note that static is automatically implied by spherical symmetry. An important consequence of the theorem is that a purely radially pulsating star cannot emit gravitational radiation, because outside of this star such gravitational radiation would amount to a time-dependent spherically symmetric spacetime geometry in (approximate) vacuum, which, according to the Birkhoff’s theorem, cannot be consistent with Einstein’s field equations.